Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Protected Member Functions | List of all members
eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\RestContentTypeBase Class Reference

Base for RestContentType related value object visitors. More...

Inheritance diagram for eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\RestContentTypeBase:

## Protected Member Functions
| getUrlTypeSuffix ($contentTypeStatus)
| Returns a suffix for the URL type to generate on basis of the given $contentTypeStatus. More...
| serializeStatus ($contentTypeStatus)
| Serializes the given $contentTypeStatus to a string representation. More...
Protected Member Functions inherited from eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor
| serializeBool (Generator $generator, $boolValue)
| Returns a string representation for the given $boolValue. More...
| visitNamesList (Generator $generator, array $names)
| Visits the given list of $names. More...
| visitDescriptionsList (Generator $generator, array $descriptions)
| Visits the given list of $descriptions. More...
| visitTranslatedList (Generator $generator, array $translatedElements, $listName)
| Visits a list of translated elements. More...
| visitLimitation (Generator $generator, Limitation $limitation)
| Visits a limitation. More...
| serializeSortField ($sortField)
| Serializes the given $sortField to a string representation. More...
| serializeSortOrder ($sortOrder)
| Serializes the given $sortOrder to a string representation. More...

## Additional Inherited Members
Public Member Functions inherited from eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor
| visit (Visitor $visitor, Generator $generator, $data)
| Visit struct returned by controllers. More...
| setRouter (RouterInterface $router)
| setTemplateRouter (RouterInterface $templateRouter)
| setRequestParser (RequestParser $requestParser)
Protected Attributes inherited from eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor
| $requestParser
| $router
| $templateRouter

## Detailed Description

Base for RestContentType related value object visitors.

Definition at line 15 of file RestContentTypeBase.php.

## Member Function Documentation

## ◆ getUrlTypeSuffix()

eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\RestContentTypeBase::getUrlTypeSuffix | ( |  | $contentTypeStatus | ) |
| protected

Returns a suffix for the URL type to generate on basis of the given $contentTypeStatus.

Parameters

  int | $contentTypeStatus |

Returns
  string

Definition at line 25 of file RestContentTypeBase.php.

Referenced by eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\CreatedFieldDefinition\visit(), eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\FieldDefinitionList\visit(), eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\RestContentType\visit(), and eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\RestFieldDefinition\visit().

## ◆ serializeStatus()

eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\RestContentTypeBase::serializeStatus | ( |  | $contentTypeStatus | ) |
| protected

Serializes the given $contentTypeStatus to a string representation.

Parameters

  int | $contentTypeStatus |

Returns
  string

Definition at line 48 of file RestContentTypeBase.php.

Referenced by eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\RestContentType\visit().

The documentation for this class was generated from the following file:

- RestContentTypeBase.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.